Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

  1. JamesA

    Joined:
    May 2, 2016
    Messages:
    3
    Likes Received:
    0
    Just got a P4.
    My i-Pad is three years old, version 9.3.1 so I guess this won't work with P4.
    Can I upgrade my i-Pad to get these two devices working together?

    Thanks for the help.
     
  2. so you are wondering that if you get a new iPad, will the phantom 4 work with it?
    yes, the new-generation iPads work with the phantom series
    If you are asking if you can use both iPads at the same time, then no, you cant
     
  3. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    25,606
    Likes Received:
    7,765
    Location:
    Harrisburg, PA (US)
    JamesA, you'll need an iPad Air, iPad Mini 2, or something newer. You can find a list of recommended and commonly used devices here.
     
Loading...
Similar Threads - help please Forum Date
phantom fc40 help needed please ? Phantom FC40 Help Thursday at 2:07 PM
P3A crashed, please help analyse what caused it? Pro/Adv Discussion Thursday at 12:38 AM
FC200 Looking for HELP please Phantom 2 Vision Help Monday at 12:39 PM
Video Help Please Phantom 4 Discussion Aug 13, 2017
Photos of 35-acre facility, help please? General Discussion Aug 8, 2017